Page MenuHomePhabricator

Community support for deploying Blueprint in mediawiki.org as optional/experimental skin
Closed, ResolvedPublic

Description

As part of {93613}:

From https://www.mediawiki.org/wiki/Review_queue

  • Show community support/desire for the extension to be deployed, if applicable.

There is a discussion at https://www.mediawiki.org/wiki/Project:Current_issues#Adding_a_dev_namespace_for_.22Data_and_developer_hub.22_articles_58129. We need more feedback to reflect both support and opposition, identifying blockers and smaller problems to be considered.

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
ResolvedQgil

Event Timeline

Qgil created this task.Jul 3 2015, 9:06 AM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added projects: Web-APIs-Hub, Blueprint.
Qgil added a project: ECT-July-2015.
Qgil added subscribers: Niharika, Volker_E, Ricordisamoa and 6 others.
Bawolff added a subscriber: Bawolff.Jul 3 2015, 9:11 AM

Your proposing just to add it to the list of things in Special:Preferences, on MediaWiki.org (Not actually use it for anything)?

I'm not really a fan of the skin, but given its mediawiki.org, and you're really just adding it as a disabled by default option, I don't really think "Show community support/desire for the extension to be deployed, if applicable." is something you actually need to worry much about (Just my 2 cents).

Qgil added a subscriber: Nemo_bis.Jul 3 2015, 9:19 AM

In addition to allowing users to enable Blueprint skin at their choice, we want to use it as default in the namespace (to be decided) where the Wikimedia API documentation will be featured (aka #dev.wikimedia.org). @Nemo_bis said that such move would require community consensus, and I agree.

In addition to allowing users to enable Blueprint skin at their choice, we want to use it as default in the namespace (to be decided) where the Wikimedia API documentation will be featured (aka #dev.wikimedia.org). @Nemo_bis said that such move would require community consensus, and I agree.

I agree, that the use as default for a namespace should get community consensus, but this bug is just for adding it as an option in Special:Preferences, on mw.org, which doesn't strike me as really needing consensus as its mw.org (OTOH getting consensus never hurt anyone).

Qgil added a comment.Jul 3 2015, 9:27 AM

Then again, it might make sense to have separate discussions to simplify this complex discussion:

  1. Literally T93613: Deploy Blueprint on mediawiki.org as optional and experimental skin, which is useful to find technical blockers before the deployment and more testers after the deployment.
  2. T369: Implement a namespace in mediawiki.org to host the developer hub, leaving aside the skin discussion, focusing on which namespace (renovating Api:, creating Dev:, or else).
  3. IF Blueprint is heading to mediawiki.org AND the namespace plan is clear, THEN discuss the combination of skin and namespace.

I think that splitting these conversations up is a very sensible idea.

In terms of #1, which is what this ticket seems to be about, I see no reason why there would be an objection to including the skin in the list of skin options, providing it is not default.

A skin that doesn't 'feel' like MediaWiki and even hides the edit button...

Qgil added a comment.Jul 3 2015, 3:09 PM

A skin that doesn't 'feel' like MediaWiki

What does this mean, in terms of specific problems and implementable solutions?

and even hides the edit button...

If this is a problem then we can create a task and discuss its importance.

A skin that doesn't 'feel' like MediaWiki

What does this mean, in terms of specific problems and implementable solutions?

Not a problem by itself, but strange for the official MediaWiki site.

Nemo_bis removed a subscriber: Nemo_bis.Jul 3 2015, 6:22 PM
Qgil added a comment.Jul 6 2015, 2:04 PM

Skins are part of MediaWiki and the possibility of not looking like Vector is a MediaWiki feature indeed. The features to show a specific skin for a namespace or even for a single page are also MediaWiki features, developed by MediaWiki volunteers. Vector defines the user experience of Wikipedia and hundreds of Wikimedia projects (and exactly for that reason, changing a pixel tends to be complicated). I don't see the benefits to tying ourselves to Vector for this well delimited namespace in mediawiki.org.

I don't see the benefits to tying ourselves to Vector for this well delimited namespace in mediawiki.org.

This ticket isn't about using the skin for namespaces, but about allowing it as a non-default option for people who want to opt-in to using/testing it.

I personally think we should have a liberal attitude to allowing experimental skins on MediaWiki.org on the above basis (providing they pass a security/stability review), but we should probably mark them as such in the drop-down list - e.g. "Blueprint (experimental)".

Qgil added a comment.Jul 7 2015, 7:50 AM

@HappyDog, true, and sorry for still mixing topics. :)

Now that https://www.mediawiki.org/wiki/Project:Current_issues#Adding_a_dev_namespace_for_.22Data_and_developer_hub.22_articles_58129 is focusing only on the namespace discussion (without skin implications), I guess we need to create a new thread in mw:Current_issues to check community consensus on the skin alone (without namespace implications)? To my own surprise, I'm less familiar with mediawiki.org process than I thought.

@HappyDog, true, and sorry for still mixing topics. :)
Now that https://www.mediawiki.org/wiki/Project:Current_issues#Adding_a_dev_namespace_for_.22Data_and_developer_hub.22_articles_58129 is focusing only on the namespace discussion (without skin implications), I guess we need to create a new thread in mw:Current_issues to check community consensus on the skin alone (without namespace implications)? To my own surprise, I'm less familiar with mediawiki.org process than I thought.

I personally feel wikitech-l is a better place to get consensus for mw.org than project:Current_issues

I continue to feel that you only need consensus for the enabling by default in a namespace (or whatever), and that adding random skins as options in Special:Preferences does not require consensus (Its mw.org, not enwiki. You (And by "you" I mean "developers") can do pretty much anything you want as long as you don't get in other people's way, and its not super user visible. FlaggedRevs didn't even have consensus).

Qgil added a comment.Jul 7 2015, 8:42 AM

Ok, this helps. We have a thread open in wikitech-l and another in mw:Current_issues. They are a bit mixed-up, but they are clearly giving a chance for anybody to share their opinions.

With Blueprint as optional skin, those interested in the still-called-dev.wikimedia.org profile will be able to improve Api: namespace, test and fine tune without bothering anyone's UI. If/when we think that Api: namespace and Blueprint are ready to be together by default, then we will start another discussion in wikitech-l, with a clearer and more solid foundation than the current moving pieces.

Qgil raised the priority of this task from Normal to High.Jul 7 2015, 9:41 AM
Qgil moved this task from Backlog to Doing on the ECT-July-2015 board.Jul 8 2015, 9:56 AM
Qgil closed this task as Resolved.Jul 8 2015, 10:35 AM

Alright. Blueprint can go through the regular review process for deploying it to mediawiki.org as an optional skin with an "experimental" label. The proposal has gathered enough community interest and no community blockers.

This is not related to the plan of using this skin as default for a certain namespace or certain pages. Such features would require their own extensions (which are not available in mediawiki.org), and therefore we can have that discussion in the context of T98897: Deploy SkinPerNamespace extension on mediawiki.org.

Resolving this task.

Resolving.